package com.ym.mec.biz.dal.dto;

import org.apache.commons.lang3.builder.ToStringBuilder;

public class Student4operating {

    private String organName;
    private String organId;
    private String studentName;
    private Integer studentId;
    private String teacherId;
    private String teacherName;
    private Integer operatingTag;
    private Integer vipTimes;
    private Integer freePracticeTimes;
    private Integer buyPracticeTimes;
    private Integer musicNetWorkTimes;

    private String operatingTagStr;
    private String vipTimesStr;
    private String freePracticeTimesStr;
    private String buyPracticeTimesStr;
    private String musicNetWorkTimesStr;
    private String groupNames;
    private Integer studentNum;

    public String getGroupNames() {
        return groupNames;
    }

    public void setGroupNames(String groupNames) {
        this.groupNames = groupNames;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getOperatingTag() {
        return operatingTag;
    }

    public void setOperatingTag(Integer operatingTag) {
        this.operatingTag = operatingTag;
    }

    public Integer getVipTimes() {
        return vipTimes;
    }

    public void setVipTimes(Integer vipTimes) {
        this.vipTimes = vipTimes;
    }

    public Integer getFreePracticeTimes() {
        return freePracticeTimes;
    }

    public void setFreePracticeTimes(Integer freePracticeTimes) {
        this.freePracticeTimes = freePracticeTimes;
    }

    public Integer getBuyPracticeTimes() {
        return buyPracticeTimes;
    }

    public void setBuyPracticeTimes(Integer buyPracticeTimes) {
        this.buyPracticeTimes = buyPracticeTimes;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    public String getOperatingTagStr() {
        return operatingTagStr;
    }

    public void setOperatingTagStr(String operatingTagStr) {
        this.operatingTagStr = operatingTagStr;
    }

    public String getVipTimesStr() {
        return vipTimesStr;
    }

    public void setVipTimesStr(String vipTimesStr) {
        this.vipTimesStr = vipTimesStr;
    }

    public String getFreePracticeTimesStr() {
        return freePracticeTimesStr;
    }

    public void setFreePracticeTimesStr(String freePracticeTimesStr) {
        this.freePracticeTimesStr = freePracticeTimesStr;
    }

    public String getBuyPracticeTimesStr() {
        return buyPracticeTimesStr;
    }

    public void setBuyPracticeTimesStr(String buyPracticeTimesStr) {
        this.buyPracticeTimesStr = buyPracticeTimesStr;
    }

	public Integer getStudentNum() {
		return studentNum;
	}

	public void setStudentNum(Integer studentNum) {
		this.studentNum = studentNum;
	}

    public Integer getMusicNetWorkTimes() {
        return musicNetWorkTimes;
    }

    public void setMusicNetWorkTimes(Integer musicNetWorkTimes) {
        this.musicNetWorkTimes = musicNetWorkTimes;
    }

    public String getMusicNetWorkTimesStr() {
        return musicNetWorkTimesStr;
    }

    public void setMusicNetWorkTimesStr(String musicNetWorkTimesStr) {
        this.musicNetWorkTimesStr = musicNetWorkTimesStr;
    }
}
